# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /opt/recipe, last modified Wed Jun  7 12:26:58 2023
# ------------------------------------------------

package:
  name: mbg
  version: 1.0.15
source:
  patches:
    - version.patch
  sha256: 8df3a3169f5f3ca099b71306b80e39e170413e536a4317cee38851e12ddf1653
  url: https://github.com/maickrau/MBG/files/11663997/MBG.tar.gz
build:
  number: '0'
  string: hd03093a_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.39 he00db2b_1
    - binutils_linux-64 2.39 h5fc0e48_13
    - gcc_impl_linux-64 10.4.0 h5231bdf_19
    - gcc_linux-64 10.4.0 h9215b83_13
    - gxx_impl_linux-64 10.4.0 h5231bdf_19
    - gxx_linux-64 10.4.0 h6e491c6_13
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libgcc-devel_linux-64 10.4.0 hd38fd1e_19
    - libgcc-ng 13.1.0 he5830b7_0
    - libgomp 13.1.0 he5830b7_0
    - libsanitizer 10.4.0 h5246dfb_19
    - libstdcxx-devel_linux-64 10.4.0 hd38fd1e_19
    - libstdcxx-ng 13.1.0 hfd8a6a1_0
    - make 4.3 hd18ef5c_1
    - sysroot_linux-64 2.12 he073ed8_15
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - libgcc-ng 13.1.0 he5830b7_0
    - libgomp 13.1.0 he5830b7_0
    - libstdcxx-ng 13.1.0 hfd8a6a1_0
    - libzlib 1.2.13 h166bdaf_4
    - zlib 1.2.13 h166bdaf_4
  run:
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - libzlib >=1.2.13,<1.3.0a0
test:
  commands:
    - MBG -v 2>&1 | grep Version
about:
  home: https://github.com/maickrau/MBG
  license: MIT
  license_file: LICENSE.md
  summary: Minimizer based sparse de Bruijn graph constructor
extra:
  copy_test_source_files: true
  final: true
